From 9e52973f34463dcef260fb55657ff73a744dfed1 Mon Sep 17 00:00:00 2001
From: Daniel Baumann <daniel@debian.org>
Date: Tue, 12 Aug 2008 16:20:35 +0200
Subject: Using signal names rather than signal numbers in trap calls.

---
 examples/cron/manpages.sh  | 2 +-
 examples/cron/snapshots.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/examples/cron/manpages.sh b/examples/cron/manpages.sh
index cd65dc4..da58d94 100755
--- a/examples/cron/manpages.sh
+++ b/examples/cron/manpages.sh
@@ -24,7 +24,7 @@ then
 fi
 
 # Creating lock trap
-trap "test -f ${SERVER}/lock && rm -f ${SERVER}/lock; exit 0" 0 1 2 3 9 15
+trap "test -f ${SERVER}/lock && rm -f ${SERVER}/lock; exit 0" 0 HUP INT QUIT KILL TERM
 
 # Creating lock file
 echo "${DATE_START}" > "${SERVER}"/lock
diff --git a/examples/cron/snapshots.sh b/examples/cron/snapshots.sh
index 68011df..c2a82c0 100755
--- a/examples/cron/snapshots.sh
+++ b/examples/cron/snapshots.sh
@@ -36,7 +36,7 @@ then
 fi
 
 # Creating lock trap
-trap "test -f ${SERVER}/Archive-Update-in-Progress && rm -f ${SERVER}/Archive-Update-in-Progress; exit 0" 0 1 2 3 9 15
+trap "test -f ${SERVER}/Archive-Update-in-Progress && rm -f ${SERVER}/Archive-Update-in-Progress; exit 0" 0 HUP INT QUIT KILL TERM
 
 # Creating lock file
 echo "${DATE_START}" > "${SERVER}"/Archive-Update-in-Progress
-- 
cgit v1.0